<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\sayur;
use App\cabe;
use App\ubi;
use App\tomat;
use App\andaliman;
use App\jagung;
use App\kentang;
use App\kacang;
use App\beli;
use Illuminate\Support\Facades\Input;
use App\Http\Requests;
use App\Http\Requests\beli\StoreRequest;
use App\Http\Requests\beli\UpdateRequest;
use Image;

class BeliController extends Controller
{
    public function index()
    {
        $belis = beli::all();
        return view('Costumer.HalamanMonitoring.order', compact('belis'));
    }

    public function costsayur()
    {
        $sayurs = sayur::all();
        return view('Costumer.HalamanMonitoring.monitoringsayur', compact('sayurs'));
    }
    public function costcabe()
    {
        $cabes = cabe::all();
        return view('Costumer.MonitoringCabe.monitoringcabe', compact('cabes'));
    }
    public function costubi()
    {
        $ubis = ubi::all();
        return view('Costumer.MonitoringUbi.monitoringubi', compact('ubis'));
    }
    public function costtomat()
    {
        $tomats = tomat::all();
        return view('Costumer.HalamanTomat.index', compact('tomats'));
    }
    public function costandaliman()
    {
        $andalimans = andaliman::all();
        return view('Costumer.MonitoringAndaliman.index', compact('andalimans'));
    }
    public function costjagung()
    {
        $jagungs = jagung::all();
        return view('Costumer.HalamanJagung.index', compact('jagungs'));
    }
    public function costkentang()
    {
        $kentangs = kentang::all();
        return view('Costumer.MonitoringKentang.monitoringkentang', compact('kentangs'));
    }
    public function costkacang()
    {
        $kacangs = kacang::all();
        return view('Costumer.MonitoringKacang.index', compact('kacangs'));
    }



    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

        $sayurs = sayur::all();
        return view('Costumer.HalamanMonitoring.beli', compact('sayurs'));
        //return view('Costumer.HalamanMonitoring.beli');
    }

    public function siram()
    {
        return view('Admin.HalamanMonitoring.siram');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        $belis = new beli();

        $belis->username = $request->username;
//        $belis->id_menu = $request->id_menu;
        $belis->nama_menu = $request->nama_menu;
//        $belis->harga = $request->harga;
        $belis->jumlah_pesanan = $request->jumlah_pesanan;
//        $belis->total_harga = $request->total_harga;
        $belis->save();
        return redirect()->route('beli.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $sayurs = sayur::findOrFail($id);
        return view('Costumer.HalamanMonitoring.lihat', compact('sayurs'));
    }



    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $sayurs = sayur::findOrFail($id);
        return view('Admin.HalamanMonitoring.edit', compact('sayurs'));
    }



    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateRequest $request, $id)
    {

        $sayurs = sayur::findOrFail($id);
        $sayurs->nama = $request->nama;
        $sayurs->family = $request->family;
        $sayurs->tanggal_tanam = $request->tanggal_tanam;
        $sayurs->usia = $request->usia;
        $sayurs->hama = $request->hama;
        $sayurs->syarat_tumbuh = $request->syarat_tumbuh;
        $sayurs->pemeliharaan = $request->pemeliharaan;
        $sayurs->Harga = $request->Harga;

        $sayurs->save();
        return redirect()->route('HalamanMonitoring.index')->with('alert-success', 'Data Berhasil Diubah.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $belis = sayur::findOrFail($id);
        $belis->delete();
        return redirect()->route('beli.index')->with('alert-success', 'Data Berhasil Dihapus.');
    }
}
